%global rolename v2v-conversion-host
%global roleprefix oVirt.
%global ansible_roles_dir ansible/roles

%global goipath github.com/ovirt/v2v-conversion-host

#gometa -i

#%if ! 0%{?gobuild:1}
#%define gobuild(o:) go build -buildmode=pie -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -tags "$BUILDTAGS" -a -v -x %{?**};
#%endif


Name: v2v-conversion-host
Summary: Set of tools for configuring conversion hosts for ManageIQ
Version: 1.14.2
Release: 1%{?release_suffix}%{?dist}
Source0: https://github.com/oVirt/v2v-conversion-host/releases/download/v%{version}/%{name}-%{version}.tar.gz
License: ASL 2.0
Group: Virtualization/Management
Url: http://www.ovirt.org


%description
A set of tools to configure and use hosts (oVirt, OpenStack) for ManageIQ

Project contsists of:
- Ansible role to setup hosts as conversion host for ManageIQ
- daemonizing wrapper for virt-v2v

%package ansible
Summary: Ansible role to setup oVirt host as conversion host for ManageIQ
Requires: ansible >= 2.4
BuildArch: noarch

%description ansible
Ansible role to setup hosts as conversion host for ManageIQ

#%package provider
#Summary: Helper service for querying information from VMware
#%if 0%{?fedora}
#BuildRequires:  compiler(go-compiler)
#%else
#BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}
#%endif

#%description provider
#Helper service for querying information from VMware

%package wrapper
Summary: Daemonizing wrapper for virt-v2v
Requires: libcgroup-tools
Requires: python3
Requires: python3-pycurl
BuildArch: noarch

%description wrapper
Daemonizing wrapper for virt-v2v.

%prep
%setup -c -q
# Remove backups caused by unclean patch application
find -name '*.orig' | xargs rm -fv

#%build
#
#%if ! 0%{?fedora}
#export GOPATH=$(pwd)/GOPATH
#d="GOPATH/src/github.com/ovirt"
#mkdir -p "$d"
#pushd "$d"
#    ln -s $(dirs +1 -l) %{name}
#popd
#cd "$d"/%{name}
#%gobuild -o kubevirt-provider/kubevirt-provider %{goipath}/kubevirt-provider
#%else
#%gobuildroot
#%gobuild -o kubevirt-provider/kubevirt-provider %{goipath}/kubevirt-provider
#%endif


%install
export DATA_DIR=%{buildroot}%{_datadir}
export BIN_DIR=%{buildroot}%{_bindir}
export PYTHON=%{__python3}
sh build.sh install
#install -p -m 755 kubevirt-provider/kubevirt-provider %{buildroot}%{_bindir}

# Create symlinks for backward compatibility with
# ovirt-ansible-v2v-conversion-host. Remove this later.
mkdir -p %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_check.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_disable.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
ln -s %{_datadir}/%{name}-ansible/playbooks/conversion_host_enable.yml %{buildroot}%{_datadir}/ovirt-ansible-v2v-conversion-host/playbooks/
# Create symlink for backward compatibility with CFME
ln -s %{_bindir}/virt-v2v-wrapper %{buildroot}/usr/bin/virt-v2v-wrapper.py

%files ansible
%{_datadir}/%{ansible_roles_dir}/
%{_datadir}/%{name}-ansible/
%{_datadir}/ovirt-ansible-v2v-conversion-host
%doc README.md
%doc docs/
%doc ansible/examples/
%license LICENSE

#%files provider
#%{_bindir}/kubevirt-provider
#%doc README.md
#%doc docs/
#%license LICENSE

%files wrapper
%{_bindir}/virt-v2v-wrapper*
%doc README.md
%doc docs/
%license LICENSE

%pre wrapper
# Previously wrapper was installed from role. Remove this rogue file
# if this is first time we install the RPM.
if [ $1 -eq 1 -a -f /usr/bin/virt-v2v-wrapper.py ] ; then
    set -e
    rm -fv /usr/bin/virt-v2v-wrapper.py
fi

%changelog
* Tue Jun 25 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.2-1
- updated to upstream version 1.14.2
- removed merged patches

* Mon Jun 17 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-3
- patch: build: fix python path substitution

* Mon Jun 17 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-2
- fix path to python binary

* Sun Jun 16 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.14.0-1
- Updated to upstream version 1.14.0
- removed merged patches
- patch: wrapper: fix file mode for Python 3 compatibility

* Tue Jun 11 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-4
- patch: wrapper: remove stray % from Kubernetes URL

* Mon Jun 10 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-3
- patch: wrapper: decode paths in virt-v2v output as UTF-8 

* Tue May 28 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-2
- patch: wrapper: fix str/bytes mismatche 
- patch: wrapper: detect systemd service properly on EL8
- patch: wrapper: fix __StateObject in Python3

* Tue May 28 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.1-1
- Updated to upstream version 1.13.1

* Thu Apr 18 2019 Tomáš Golembiovský <tgolembi@redhat.com> 1.13.0-1
- Updated to upstream version 1.13.0
